Package org.apache.commons.codec

# Interface BinaryEncoder

All Superinterfaces:
  `Encoder`

All Known Implementing Classes:
  `Base16`, `Base32`, `Base64`, `BaseNCodec`, `BinaryCodec`, `Hex`, `PercentCodec`, `QuotedPrintableCodec`, `URLCodec`

public interface BinaryEncoder extends Encoder
Defines common encoding methods for byte array encoders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `encode(byte[] source)`
  Encodes a byte array and return the encoded data as a byte array.

  ### Methods inherited from interface org.apache.commons.codec.Encoder

  `encode`

- ## Method Details

  - ### encode

    byte[] encode(byte[] source) throws EncoderException
    Encodes a byte array and return the encoded data as a byte array.
    Parameters:
      `source` - Data to be encoded
    Returns:
      A byte array containing the encoded data
    Throws:
      `EncoderException` - thrown if the Encoder encounters a failure condition during the encoding process.